/**
 * meta 参数说明
 * form:表单路由，存在或ture,也要后台配置，前端校验
 * mode:功能入口路由，存在或ture,也要后台配置，前端校验
 */
const routesMaster = [
	/***主人***/
	{
		path: '/master',
		component: () => import('../views/Layout.vue'),
		children: [
			//主页
			{
				path: '',
				name: 'Master',
				component: () => import('../views/Master/Home.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '主人主页',
				}
			},
			//所有功能
			{
				path: 'allFun',
				name: 'MasterAllFun',
				component: () => import('../views/Master/AllFun.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '所有功能',
				}
			},

			//我的
			{
				path: 'mine',
				component: () => import('../views/Layout.vue'),
				children: [
					//个人中心
					{
						path: 'center',
						name: 'MasterMineCenter',
						component: () => import('../views/Master/Mine/Center.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '个人中心',
						}
					},
					//消息
					{
						path: 'message',
						name: 'MasterMineMessage',
						component: () => import('../views/Master/Mine/Message.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息',
						}
					},
					//修改个人信息
					{
						path: 'editInfo',
						name: 'MasterMineEditInfo',
						component: () => import('../views/Master/Mine/EditInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '修改个人信息',
						}
					},
					//设置
					{
						path: 'config',
						name: 'MasterMineConfig',
						component: () => import('../views/Master/Mine/Config.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '设置',
						}
					},
					//绑定手机
					{
						path: 'bindPhone',
						name: 'MasterMineBindPhone',
						component: () => import('../views/Master/Mine/BindPhone.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '绑定手机',
						}
					},
					//关于小鹏管家
					{
						path: 'about',
						name: 'MasterMineAbout',
						component: () => import('../views/Master/Mine/About.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '关于小鹏管家',
						}
					},
					//问题反馈
					{
						path: 'feedback',
						name: 'MasterMineFeedback',
						component: () => import('../views/Master/Mine/Feedback.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '问题反馈',
						}
					},

					//我的账单
					{
						path: 'bill',
						component: () => import('../views/Layout.vue'),
						children: [
							//账单缴费
							{
								path: 'pay',
								name: 'MasterMineBillPay',
								component: () => import('../views/Master/Mine/Bill/Pay.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '账单缴费',
								}
							},
							//账单列表
							{
								path: 'list',
								name: 'MasterMineBillList',
								component: () => import('../views/Master/Mine/Bill/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '账单列表',
								}
							},
							//账单记录
							{
								path: 'record',
								name: 'MasterMineBillRecord',
								component: () => import('../views/Master/Mine/Bill/Record.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '账单记录',
								}
							},
							//账单详情
							{
								path: 'info',
								name: 'MasterMineBillInfo',
								component: () => import('../views/Master/Mine/Bill/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '账单详情',
								}
							},
						],
					},

					//我的订单
					{
						path: 'order',
						component: () => import('../views/Layout.vue'),
						children: [
							//订单列表
							{
								path: 'list',
								name: 'MasterMineOrderList',
								component: () => import('../views/Master/Mine/Order/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '订单列表',
								}
							},
							//订单详情
							{
								path: 'info',
								name: 'MasterMineOrderInfo',
								component: () => import('../views/Master/Mine/Order/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '订单详情',
								}
							},
						],
					},
				],
			},

			//访客
			{
				path: 'guest',
				component: () => import('../views/Layout.vue'),
				children: [
					//访客记录
					{
						path: 'list',
						name: 'MasterGuestList',
						component: () => import('../views/Master/Guest/List.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '访客列表',
							mode: true
						}
					},
					//出入记录
					{
						path: 'goto',
						name: 'MasterGuestGoto',
						component: () => import('../views/Master/Guest/Goto.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '访客出入记录',
							mode: true
						}
					},
					//访客详情
					{
						path: 'info',
						name: 'MasterGuestInfo',
						component: () => import('../views/Master/Guest/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					//扫码核验
					{
						path: 'scan',
						name: 'MasterGuestScan',
						component: () => import('../views/Master/Guest/Scan.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '扫码核验',
						}
					},
					//门卫审核
					{
						path: 'approval',
						name: 'MasterGuestApproval',
						component: () => import('../views/Master/Guest/Approval.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
				]
			},
			//直播
			{
				path: 'live',
				component: () => import('../views/Layout.vue'),
				children: [
					//直播主页
					{
						path: 'info',
						name: 'MasterLiveInfo',
						component: () => import('../views/Master/Live/Info.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '直播主页',
							mode: true
						}
					},
					//产品介绍
					{
						path: 'show',
						name: 'MasterLiveShow',
						component: () => import('../views/Master/Live/Show.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '产品介绍',
						}
					},
					//直播房间
					{
						path: 'room',
						name: 'MasterLiveRoom',
						component: () => import('../views/Master/Live/Room.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '直播房间',
						}
					},
					//收银台
					{
						path: 'pay',
						name: 'MasterLivePay',
						component: () => import('../views/Master/Live/Pay.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '收银台',
						}
					},
					//支付成功
					{
						path: 'paySuccess',
						name: 'MasterLivePaySuccess',
						component: () => import('../views/Master/Live/PaySuccess.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '支付成功',
						}
					},

				],
			},
			//物业相关
			{
				path: 'property',
				component: () => import('../views/Layout.vue'),
				children: [
					//业主投诉
					{
						path: 'complaint',
						component: () => import('../views/Layout.vue'),
						children: [
							//业主投诉列表
							{
								path: 'list',
								name: 'MasterPropertyComplaintList',
								component: () => import('../views/Master/Property/Complaint/List.vue'),
								meta: {
									requireAuth: true,
									role: [],
									title: '业主投诉',
									mode: true
								}
							},
							//业主投诉详情
							{
								path: 'info',
								name: 'MasterPropertyComplaintInfo',
								component: () => import('../views/Master/Property/Complaint/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '业主投诉详情',
								}
							},
							//业主投诉表单
							{
								path: 'form',
								name: 'MasterPropertyComplaintForm',
								component: () => import('../views/Master/Property/Complaint/Form.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '业主投诉表单',
								}
							},
							//接收投诉记录列表
							{
								path: 'verifyList',
								name: 'MasterPropertyComplaintVerifyList',
								component: () => import('../views/Master/Property/Complaint/VerifyList.vue'),
								meta: {
									requireAuth: true,
									role: [],
									title: '接收投诉列表',
									mode: true
								}
							},
							//接收投诉记录详情
							{
								path: 'verifyInfo',
								name: 'MasterPropertyComplaintVerifyInfo',
								component: () => import('../views/Master/Property/Complaint/VerifyInfo.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '接收投诉详情',
									form: true
								}
							},
						]
					},
					//报事报修
					{
						path: 'repair',
						component: () => import('../views/Layout.vue'),
						children: [
							//报事报修列表
							{
								path: 'list',
								name: 'MasterPropertyRepairList',
								component: () => import('../views/Master/Property/Repair/List.vue'),
								meta: {
									requireAuth: true,
									role: [],
									title: '报事报修列表',
									mode: true
								}
							},
							//报事报修详情
							{
								path: 'info',
								name: 'MasterPropertyRepairInfo',
								component: () => import('../views/Master/Property/Repair/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '报事报修详情',
								}
							},
							//报事报修表单
							{
								path: 'form',
								name: 'MasterPropertyRepairForm',
								component: () => import('../views/Master/Property/Repair/Form.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '报事报修表单',
								}
							},
							//接收报修记录列表
							{
								path: 'verifyList',
								name: 'MasterPropertyRepairVerifyList',
								component: () => import('../views/Master/Property/Repair/VerifyList.vue'),
								meta: {
									requireAuth: true,
									role: [],
									title: '接收投诉列表',
									mode: true
								}
							},
							//接收报修记录详情
							{
								path: 'verifyInfo',
								name: 'MasterPropertyRepairVerifyInfo',
								component: () => import('../views/Master/Property/Repair/VerifyInfo.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '接收投诉详情',
									form: true
								}
							},
						]
					},

					//物业缴费
					{
						path: 'cost',
						component: () => import('../views/Layout.vue'),
						children: [
							//主页
							{
								path: '',
								name: 'MasterPropertyCost',
								component: () => import('../views/Master/Property/Cost/Home.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '物业缴费主页',
								}
							},
							//缴费记录
							{
								path: 'list',
								name: 'MasterPropertyCostList',
								component: () => import('../views/Master/Property/Cost/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '缴费记录',
								}
							},
							//缴费
							{
								path: 'pay',
								name: 'MasterPropertyCostPay',
								component: () => import('../views/Master/Property/Cost/Pay.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '缴费',
								}
							},
						]
					},

					//车位
					{
						path: 'car',
						component: () => import('../views/Layout.vue'),
						children: [
							//车位申请
							{
								path: 'apply',
								name: 'MasterPropertyCar',
								component: () => import('../views/Master/Property/Car/Apply.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '车位申请',
								}
							},
							//车位申请
							{
								path: 'select',
								name: 'MasterPropertyCarSelect',
								component: () => import('../views/Master/Property/Car/Select.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '车位选择',
								}
							},
							//车位申请列表
							{
								path: 'list',
								name: 'MasterPropertyCarList',
								component: () => import('../views/Master/Property/Car/List.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '车位申请列表',
								}
							},
							//车位申请详情
							{
								path: 'info',
								name: 'MasterPropertyCarInfo',
								component: () => import('../views/Master/Property/Car/Info.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '车位申请详情',
								}
							},
							//车位续费
							{
								path: 'pay',
								name: 'MasterPropertyCarPay',
								component: () => import('../views/Master/Property/Car/Pay.vue'),
								meta: {
									requireAuth: false,
									role: [],
									title: '车位续费',
								}
							},
						]
					},

					//联系物业
					{
						path: 'contact',
						name: 'MasterPropertyContact',
						component: () => import('../views/Master/Property/Contact.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '联系物业',
						}
					},

				],
			},


			//考勤
			{
				path: 'attendance',
				component: () => import('../views/Layout.vue'),
				children: [
					//异地打卡
					{
						path: 'sign',
						name: 'MasterAttendanceSign',
						component: () => import('../views/Master/Attendance/Sign.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '异地打卡',
							mode: true
						}
					},
					//考勤记录
					{
						path: 'list',
						name: 'MasterAttendanceList',
						component: () => import('../views/Master/Attendance/List.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '考勤记录',
							mode: true
						}
					},
					//考勤补卡申请/异地打卡详情
					{
						path: 'info',
						name: 'MasterAttendanceInfo',
						component: () => import('../views/Master/Attendance/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤补卡申请详情',
						}
					},
					//考勤补卡申请
					{
						path: 'apply',
						name: 'MasterAttendanceApply',
						component: () => import('../views/Master/Attendance/Apply.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤补卡申请',
							form: true
						}
					},
					//考勤补卡申请审核列表
					{
						path: 'verifyList',
						name: 'MasterAttendanceVerifyList',
						component: () => import('../views/Master/Attendance/VerifyList.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '考勤补卡申请审核列表',
							mode: true
						}
					},
					//考勤补卡申请详情
					{
						path: 'verifyInfo',
						name: 'MasterAttendanceVerifyInfo',
						component: () => import('../views/Master/Attendance/VerifyInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤补卡申请详情',
						}
					},
					//请假申请审核列表
					{
						path: 'verifyLeaveList',
						name: 'MasterAttendanceVerifyLeaveList',
						component: () => import('../views/Master/Attendance/VerifyLeaveList.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '请假申请审核列表',
							mode: true
						}
					},
					//请假申请详情
					{
						path: 'verifyLeaveInfo',
						name: 'MasterAttendanceVerifyLeaveInfo',
						component: () => import('../views/Master/Attendance/VerifyLeaveInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假申请详情',
						}
					},
					//请假记录
					{
						path: 'leaveList',
						name: 'MasterAttendanceLeaveList',
						component: () => import('../views/Master/Attendance/LeaveList.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '请假记录',
							mode: true
						}
					},
					//请假详情
					{
						path: 'leaveInfo',
						name: 'MasterAttendanceLeaveInfo',
						component: () => import('../views/Master/Attendance/LeaveInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假详情',
						}
					},
					//请假提交
					{
						path: 'leaveForm',
						name: 'MasterAttendanceLeaveForm',
						component: () => import('../views/Master/Attendance/LeaveForm.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '请假提交',
							form: true,
						}
					},

					//考勤统计列表
					{
						path: 'statisticList',
						name: 'MasterAttendanceStatisticList',
						component: () => import('../views/Master/Attendance/StatisticList.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '考勤统计列表',
							mode: true
						}
					},
					//考勤记录测温详情
					{
						path: 'temperatureInfo',
						name: 'MasterAttendanceTemperatureInfo',
						component: () => import('../views/Master/Attendance/TemperatureInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '考勤记录测温详情',
						}
					},
				]
			},

			//货物品
			{
				path: 'goods',
				component: () => import('../views/Layout.vue'),
				children: [
					//携出申请列表
					{
						path: 'applyList',
						name: 'MasterGoodsApplyList',
						component: () => import('../views/Master/Goods/ApplyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请列表',
						}
					},
					//携出申请详情
					{
						path: 'applyInfo',
						name: 'MasterGoodsApplyInfo',
						component: () => import('../views/Master/Goods/ApplyInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请详情',
						}
					},
					//携出申请
					{
						path: 'apply',
						name: 'MasterGoodsApply',
						component: () => import('../views/Master/Goods/Apply.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请',
						}
					},
					//携出审核列表
					{
						path: 'verifyList',
						name: 'MasterGoodsVerifyList',
						component: () => import('../views/Master/Goods/VerifyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出审核列表',
						}
					},
					//携出审核详情
					{
						path: 'verifyInfo',
						name: 'MasterGoodsVerifyInfo',
						component: () => import('../views/Master/Goods/VerifyInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出审核详情',
						}
					},
				]
			},

			//健康
			{
				path: 'health',
				component: () => import('../views/Layout.vue'),
				children: [
					//疫情上报
					{
						path: 'report',
						name: 'MasterHealthReport',
						component: () => import('../views/Master/Health/Report.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '疫情上报',
							form: true
						}
					},
					//疫情上报列表
					{
						path: 'reportList',
						name: 'MasterHealthReportList',
						component: () => import('../views/Master/Health/ReportList.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '疫情上报列表',
							mode: true
						}
					},
					//疫情上报详情
					{
						path: 'reportInfo',
						name: 'MasterHealthReportInfo',
						component: () => import('../views/Master/Health/ReportInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '疫情上报详情',
						}
					},
					//健康档案
					{
						path: 'archives',
						name: 'MasterHealthArchives',
						component: () => import('../views/Master/Health/Archives.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '健康档案',
							mode: true
						}
					},
					//测温统计
					{
						path: 'temperatureRecord',
						name: 'MasterHealthTemperatureRecord',
						component: () => import('../views/Master/Health/TemperatureRecord.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '测温统计',
							mode: true
						}
					},
					//异常记录
					{
						path: 'abnormalRecord',
						name: 'MasterHealthAbnormalRecord',
						component: () => import('../views/Master/Health/AbnormalRecord.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '异常记录',
							mode: true
						}
					},
					//未测人员-模板消息，不验证权限
					{
						path: 'noTemperatureRecord',
						name: 'MasterHealthNoTemperatureRecord',
						component: () => import('../views/Master/Health/NoTemperatureRecord.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '未测人员',
							mode: true
						}
					},
					//健康公示墙
					{
						path: 'wall',
						name: 'MasterHealthWall',
						component: () => import('../views/Master/Health/Wall.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '健康公示',
							mode: true
						}
					},
					//异常统计
					{
						path: 'abnormalStatistics',
						name: 'MasterHealthAbnormalStatistics',
						component: () => import('../views/Master/Health/AbnormalStatistics.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '异常统计',
						}
					},
					//职工台账
					{
						path: 'worker',
						name: 'MasterHealthWorker',
						component: () => import('../views/Master/Health/Worker.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '职工台账',
							mode: true
						}
					},
					//职工打卡（健康打卡）
					{
						path: 'workerReport',
						name: 'MasterHealthWorkerReport',
						component: () => import('../views/Master/Health/WorkerReport.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '健康打卡',
						}
					},
					//职工台账详情
					{
						path: 'workerInfo',
						name: 'MasterHealthWorkerInfo',
						component: () => import('../views/Master/Health/WorkerInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '职工台账详情',
						}
					},
					//职工测温
					{
						path: 'workerTemperature',
						name: 'MasterHealthWorkerTemperature',
						component: () => import('../views/Master/Health/WorkerTemperature.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '职工测温',
						}
					},
					//访客测温
					{
						path: 'guestTemperature',
						name: 'MasterHealthGuestTemperature',
						component: () => import('../views/Master/Health/GuestTemperature.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '访客测温',
							mode: true
						}
					},
				],
			},

			//公司及人员
			{
				path: 'company',
				component: () => import('../views/Layout.vue'),
				children: [
					//公司列表
					{
						path: 'list',
						name: 'MasterCompanyList',
						component: () => import('../views/Master/Company/List.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '公司列表',
							mode: true
						}
					},
					//添加人员
					{
						path: 'add',
						name: 'MasterCompanyAddPerson',
						component: () => import('../views/Master/Company/AddPerson.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '添加人员',
							mode: true
						}
					},
					//添加人员选择设备
					{
						path: 'device',
						name: 'MasterCompanySelectDevice',
						component: () => import('../views/Master/Company/SelectDevice.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '添加人员选择设备',
							//form: true
						}
					},
					//注册审核
					{
						path: 'registerExamine',
						name: 'MasterCompanyRegisterExamine',
						component: () => import('../views/Master/Company/RegisterExamine.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '注册审核',
							mode: true
						}
					},
					//注册审核详情
					{
						path: 'registerInfo',
						name: 'MasterCompanyRegisterInfo',
						component: () => import('../views/Master/Company/RegisterInfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '注册审核详情',
						}
					},
					//注册审核选择设备
					{
						path: 'registerSelectDevice',
						name: 'MasterCompanyRegisterSelectDevice',
						component: () => import('../views/Master/Company/RegisterSelectDevice.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '注册审核选择设备',
						}
					},
				]
			},


			//活动
			{
				path: 'activity',
				component: () => import('../views/Layout.vue'),
				children: [
					//活动审批
					{
						path: 'examineList',
						name: 'MasterActivityExamineList',
						component: () => import('@/views/Master/Activity/ExamineList.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '活动审批',
							mode: true
						}
					},
					//申请详情
					{
						path: 'examineInfo',
						name: 'MasterActivityExamineInfo',
						component: () => import('@/views/Master/Activity/ExamineInfo.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '申请详情',
							form: true
						}
					},
					//活动详情
					{
						path: 'info',
						name: 'MasterActivityInfo',
						component: () => import('@/views/Master/Activity/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '活动详情',
						}
					},
				],
			}


		],
	},
]

export default routesMaster
